complexType "OilPhysicalLeg"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, deliveryPeriods?, oil, deliveryConditions?, deliveryQuantity
</...>

Content Model Elements (8):

  deliveryConditions (in oilPhysicalLeg), deliveryPeriods (in oilPhysicalLeg), deliveryQuantity (in oilPhysicalLeg), oil, | payerAccountReference, payerPartyReference (defined in PayerReceiver.model group), receiverAccountReference, receiverPartyReference

All Direct / Indirect Based Elements (1):

  oilPhysicalLeg

Known Usage Locations

- As direct type of elements (1):
  oilPhysicalLeg

Annotation
Physically settled leg of a physically settled oil product transaction.
Type Definition Detail

Type Derivation Tree Leg (extension) CommoditySwapLeg (extension) PhysicalSwapLeg (extension) OilPhysicalLeg

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="OilPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="deliveryPeriods" type="CommodityDeliveryPeriods"/> <xsd:element name="oil" type="OilProduct"/> <xsd:element minOccurs="0" name="deliveryConditions" type="OilDelivery"/> <xsd:element name="deliveryQuantity" type="CommodityPhysicalQuantity"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/8)
deliveryConditions

  Type: | OilDelivery, complex content

  The physical delivery conditions for the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryConditions" type="OilDelivery"/>

deliveryPeriods

  Type: | CommodityDeliveryPeriods, complex content

  The different options for specifying the Delivery or Supply Periods. Unless the quantity or price is to vary periodically during the trade or physical delivery occurs on a periodic basis, periodsSchedule should be used and set to 1T.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryPeriods" type="CommodityDeliveryPeriods"/>

deliveryQuantity

  Type: | CommodityPhysicalQuantity, complex content

  The different options for specifying the quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryQuantity" type="CommodityPhysicalQuantity"/>

oil

  Type: | OilProduct, complex content

  The specification of the oil product to be delivered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="oil" type="OilProduct"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.